Attribute VB_Name = "wd_MachPassend"
Option Explicit

Sub MachPassend()
    'Makro fr: Word 2000
    'Funktion:  Setzt die Seitenzahl des Dokuments durch pauschale nderung
    '           der Schriftgren auf einen whlbaren Wert.
    'Bentigt:  Userform frmMachPassend als Dialogfeld
    ' 2000, Ralf Nebelo
    
    Dim strMsg As String
    Dim strInput As String
    Dim intSoll As Integer
    Dim intIst As Integer
    
    intIst = Selection.Information(wdNumberOfPagesInDocument)
    strInput = InputBox(Prompt:="Gewnschte Seitenzahl:", Title:="MachPassend", Default:=intIst)
    If Val(strInput) > 0 Then
        intSoll = Val(strInput)
        
        If intSoll = intIst Then Exit Sub
        
        If GetSetting(AppName:="VBA-Makros", Section:="Word", Key:="MPNoInfo") <> "-1" Then
            frmMachPassendInfo.Show
        End If
        
        With ActiveDocument
            .PrintPreview
            With ActiveWindow.ActivePane.View.Zoom
                .PageColumns = 8
                .PageRows = 3
            End With
            
            .Content.Select
            If intIst < intSoll Then
                Do While Selection.Information(wdNumberOfPagesInDocument) < intSoll
                    Selection.Font.Grow
                    .Repaginate
                Loop
            Else
                Do While Selection.Information(wdNumberOfPagesInDocument) > intSoll
                    Selection.Font.Shrink
                    .Repaginate
                Loop
            End If
            .ClosePrintPreview
        End With
    End If
End Sub

